List your organization's live offers
curl --request GET \
--url https://api.collectpure.com/offers/get-offers/v2 \
--header 'x-api-key: <api-key>'import requests
url = "https://api.collectpure.com/offers/get-offers/v2"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.collectpure.com/offers/get-offers/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 123,
"quantity": 123,
"premiumPercent": 123,
"premiumDollar": 123,
"type": "<string>",
"spotPremium": 123,
"spotPremiumDollar": 123,
"active": true,
"expiresAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"sku": "<string>",
"material": "<string>"
},
"variant": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
}
],
"total": 123
}Offers API
List your organization's live offers
Retrieve live orderbook offers for the authenticated organization. Only returns active, non-expired offers with valid pricing from trading-enabled organizations (via orderbook_offer_live view).
Rate limit: 120 requests burst, 60 requests/minute sustained.
GET
/
offers
/
get-offers
/
v2
List your organization's live offers
Authorizations
API key for authentication
Query Parameters
Filter by product ID
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Maximum number of offers to return (default 20, max 100)
Required range:
1 <= x <= 100Number of offers to skip (for pagination)
Required range:
0 <= x <= 9007199254740991Was this page helpful?